> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datanumia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Service returning the monthly average temperatures for a weather station. Data sorted by date.

> Service returning the monthly average temperatures for a weather station. Data sorted by date.



## OpenAPI

````yaml /api-reference/weather-api.yaml get /sites/{site-id}/monthly-temperatures
openapi: 3.0.1
info:
  title: weather lifecycle
  description: This API manages the lifecycles of the weather
  termsOfService: ''
  contact:
    email: dev@edelia.fr
  version: 1.0.4
servers:
  - url: https://api.home.datanumia.com/api/v1
security: []
tags:
  - name: Weather Stations
paths:
  /sites/{site-id}/monthly-temperatures:
    get:
      tags:
        - Monthly Temperatures
      summary: >-
        Service returning the monthly average temperatures for a weather
        station. Data sorted by date.
      description: >-
        Service returning the monthly average temperatures for a weather
        station. Data sorted by date.
      operationId: siteMonthlyTemperaturesGet
      parameters:
        - name: site-id
          in: path
          description: The Edelia site id
          required: true
          schema:
            type: string
        - name: begin-month
          in: query
          description: Begin month (included). ISO8601 (YYYY-MM)
          required: true
          schema:
            type: string
        - name: end-month
          in: query
          description: End month (excluded). ISO8601 (YYYY-MM)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MonthlyTemperatures'
        '400':
          description: >
            Functional Error</br>

            <table>

            <tr><td><b>Error code</b></td><td><b>Error case</b></td></tr>

            <tr><td>WEATHER_STATION_NOT_FOUND_WITH_ID</td><td>no weather station
            was found for weather-station-id {weatherStationId}</td></tr>

            </table>
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content: {}
        '500':
          description: Technical Error
          content: {}
components:
  schemas:
    MonthlyTemperatures:
      type: object
      properties:
        month:
          type: string
          description: Month of the temperature
        value:
          type: integer
          description: Value of the temperature (°C)
          format: int32
    ErrorResponse:
      type: object
      properties:
        errorCode:
          type: string
          description: The error code
        errorDescription:
          type: string
          description: The error description

````